package com.ximai.mes.pro.domain.productionSolution;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ximai.common.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ximai.common.core.domain.BaseEntity;

/**
 * 生产版本工序检验项对象 pro_production_solution_process_qcindex
 *
 * @author generator
 * @date 2024-01-28
 */
public class ProProductionSolutionProcessQcindex extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId
    private Long prototypeSolutionProcessQcindexId;

    /**
     * 生产版本ID
     */
    @Excel(name = "生产版本ID")
    private Long prototypeSolutionId;

    /**
     * 生产版本工序ID
     */
    @Excel(name = "生产版本工序ID")
    private Long prototypeSolutionProcessId;

    /**
     * 检验项ID
     */
    @Excel(name = "检验项ID")
    private Long qcindexId;

    public void setPrototypeSolutionProcessQcindexId(Long prototypeSolutionProcessQcindexId) {
        this.prototypeSolutionProcessQcindexId = prototypeSolutionProcessQcindexId;
    }

    public Long getPrototypeSolutionProcessQcindexId() {
        return prototypeSolutionProcessQcindexId;
    }

    public void setPrototypeSolutionId(Long prototypeSolutionId) {
        this.prototypeSolutionId = prototypeSolutionId;
    }

    public Long getPrototypeSolutionId() {
        return prototypeSolutionId;
    }

    public void setPrototypeSolutionProcessId(Long prototypeSolutionProcessId) {
        this.prototypeSolutionProcessId = prototypeSolutionProcessId;
    }

    public Long getPrototypeSolutionProcessId() {
        return prototypeSolutionProcessId;
    }

    public void setQcindexId(Long qcindexId) {
        this.qcindexId = qcindexId;
    }

    public Long getQcindexId() {
        return qcindexId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("prototypeSolutionProcessQcindexId", getPrototypeSolutionProcessQcindexId())
                .append("prototypeSolutionId", getPrototypeSolutionId())
                .append("prototypeSolutionProcessId", getPrototypeSolutionProcessId())
                .append("qcindexId", getQcindexId())
                .append("remark", getRemark())
                .toString();
    }
}
